> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all folders

> Retrieve all knowledge base folders for your organization.



## OpenAPI

````yaml /openapi.json get /api/documents/assistant/folders
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/documents/assistant/folders:
    get:
      tags:
        - Assistant Documents
      summary: Get all folders
      description: Retrieve all knowledge base folders for your organization.
      operationId: PublicRagieController_getFolders
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Folders retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 550e8400-e29b-41d4-a716-446655440000
                    name:
                      type: string
                      example: Product Documentation
                    icon:
                      type: string
                      example: 📚
                    sort_order:
                      type: number
                      example: 0
                    created_at:
                      type: string
                      example: '2024-01-15T10:00:00.000Z'
                    documents:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                    subfolders:
                      type: array
                      items:
                        type: object
        '401':
          description: Unauthorized.

````